## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname wordcloud

Name:           python-%{srcname}
Version:        1.9.4
Release:        %autorelease
Summary:        Little word cloud generator

License:        MIT
URL:            https://amueller.github.io/word_cloud/
Source:         %{pypi_source %{srcname}}

BuildRequires:  gcc
BuildRequires:  google-droid-sans-mono-fonts
BuildRequires:  python3-devel

%global _description %{expand:
This package provides a little word cloud generator in Python.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

Requires:       google-droid-sans-mono-fonts

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

# Replace bundled font with the distribution version
ln -sf %{_fontbasedir}/google-droid-sans-mono-fonts/DroidSansMono.ttf \
  %{srcname}/DroidSansMono.ttf

%generate_buildrequires
%pyproject_buildrequires requirements-dev.txt

%build
cython %{srcname}/query_integral_image.pyx
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files -l %{srcname}

%check
# Skip broken tests
%pytest -v \
  --deselect='test/test_wordcloud_cli.py::test_cli_as_executable[/usr/bin/python3 -m wordcloud --help-usage: __main__-0]'

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%{_bindir}/wordcloud_cli

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Thu Jul 17 2025 Davide Cavalca <dcavalca@fedoraproject.org> - 1.9.4-1
- Update to 1.9.4; Fixes: RHBZ#2253774, RHBZ#2335908

* Tue Jun 03 2025 Python Maint <python-maint@redhat.com> - 1.9.2-7
- Rebuilt for Python 3.14

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 08 2024 Python Maint <python-maint@redhat.com> - 1.9.2-4
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Aug 12 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.9.2-1
- Update to 1.9.2; Fixes: RHBZ#2220564, RHBZ#2226371

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 27 2023 Python Maint <python-maint@redhat.com> - 1.8.2.2-2
- Rebuilt for Python 3.12

* Sun Jan 22 2023 Davide Cavalca <dcavalca@fedoraproject.org> - 1.8.2.2-1
- Initial import; Fixes: RHBZ#2162931
## END: Generated by rpmautospec
